<?xml version="1.0" ?>
<param>
    <!-- All values are in physical unit (not LB units) -->
    <randomSeed>0</randomSeed>
    <geometry>
        <!-- Size of computational domain. -->
		<lx>100.0</lx>
		<ly>100.0</ly>
	</geometry>
    <acoustics>
        <!-- Background density (normally 1.0) -->
		<rho0>1.0</rho0>
        <!-- Gaussian Pulse initial conditions) -->
		<gaussianPulse>
            <!-- User-defined pulses -->
			<userDefined>
				<numUserPulses>1</numUserPulses>
				<center>
					<x>50</x>
					<y>50</y>
				</center>
				<amplitude>0.001</amplitude>
				<halfWidth>5.0</halfWidth>
			</userDefined>
            <!-- Randomly generated pulses (uniform dist.)
				 Set lower and upper bounds of uniform distribution,
				 e.g.  U[min, max]
			-->
            <randomDefined>
                <!-- min max -->
				<numRandPulses>0 0 </numRandPulses>
                <!-- min max -->
				<center>
					<x> 20 80</x>
					<y> 20 80</y>
				</center>
                <!-- min max -->
				<amplitude>1e-3 1e-3 </amplitude>
                <!-- min max -->
				<halfWidth>6 6</halfWidth>
			</randomDefined>
		</gaussianPulse>
	</acoustics>
	<numerics>
        <!-- Kinematic viscosity -->
		<nu>0.0</nu>
        <!-- Resolution in the x-direction -->
		<resolution>200</resolution>
	</numerics>
    <boundaryConditions>
        <!-- Types:
             Reflecting : 2^4 = 16
	     	 Absorbing : 2^5 = 32
	     	 Periodic : 2^6 = 64
			 For absorbing, combine it ALWAYS with a true BC:
			 E.g. Absorbing+Freeslip = 16+32 = 48
        -->
		<type>
	    	<left>16</left>
	    	<right>16</right>
	    	<bottom>16</bottom>
	    	<top>16</top>
        </type>
        <!-- When setting <type> to <absorbing>,
             we need to define the width of the sponge
             layer (extra cells added to physical
             domain).
             -->
        <spongeZones>
            <!-- x-direction: leftBorderWidth rightBorderWidth -->
			<xWidths>0.00 0.00</xWidths>
            <!-- y-direction: bottomBorderWidth topBorderWidth -->
			<yWidths>0.00 0.00</yWidths>
		</spongeZones>
	</boundaryConditions>
	<output>
        <!--Output directory, created if not existing previously -->
        <outputDir>../../../datasets/d1/training</outputDir>
        <!--Max Time of simulation (in LB iterations) -->
        <maxT>231.0</maxT>
        <!--Frequency to save output (vtk format) -->
	    <vtkIter>1.0</vtkIter>
        <!--Number of runs for same config file.
            This is useful when setting random
            ICs or BCs-->
	<numSim>500</numSim>
	</output>
</param>
